| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiTesting.BaseTest.FilePreprocessorSequence Class Reference
Inheritance diagram for GaudiTesting.BaseTest.FilePreprocessorSequence:
[legend]
Collaboration diagram for GaudiTesting.BaseTest.FilePreprocessorSequence:
[legend]

## Public Member Functions
def | __init__ (self, members=[])
def | __add__ (self, rhs)
def | __call__ (self, input)
Public Member Functions inherited from GaudiTesting.BaseTest.FilePreprocessor
def | __processLine__ (self, line)
def | __processFile__ (self, lines)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| members

## Detailed Description

Definition at line 717 of file BaseTest.py.

## Constructor & Destructor Documentation

def GaudiTesting.BaseTest.FilePreprocessorSequence.__init__ | ( |  | self,
|  |  | members = `[]`
| ) |  |

Definition at line 719 of file BaseTest.py.

719 def __init__(self, members=[]):
720 self.members = members
721
GaudiTesting.BaseTest.FilePreprocessorSequence.__init__
def __init__(self, members=[])
Definition: BaseTest.py:719
GaudiTesting.BaseTest.FilePreprocessorSequence.members
members
Definition: BaseTest.py:720

## Member Function Documentation

def GaudiTesting.BaseTest.FilePreprocessorSequence.__add__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 722 of file BaseTest.py.

722 def __add__(self, rhs):
723 return FilePreprocessorSequence(self.members + [rhs])
724
GaudiTesting.BaseTest.FilePreprocessorSequence.__add__
def __add__(self, rhs)
Definition: BaseTest.py:722
GaudiTesting.BaseTest.FilePreprocessorSequence
Definition: BaseTest.py:717
GaudiTesting.BaseTest.FilePreprocessorSequence.members
members
Definition: BaseTest.py:720

def GaudiTesting.BaseTest.FilePreprocessorSequence.__call__ | ( |  | self,
|  |  | input
| ) |  |

Definition at line 725 of file BaseTest.py.

725 def __call__(self, input):
726 output = input
727 for pp in self.members:
728 output = pp(output)
729 return output
730
731
GaudiTesting.BaseTest.FilePreprocessorSequence.__call__
def __call__(self, input)
Definition: BaseTest.py:725
compareOutputFiles.pp
pp
Definition: compareOutputFiles.py:467
GaudiTesting.BaseTest.FilePreprocessorSequence.members
members
Definition: BaseTest.py:720

## Member Data Documentation

GaudiTesting.BaseTest.FilePreprocessorSequence.members

Definition at line 720 of file BaseTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py